## org.jgroups.protocols
Interface TP.ProbeHandler

All Known Implementing Classes:
  GMS, NAKACK, TP.ProtocolAdapter

Enclosing class:
  TP

    public static interface TP.ProbeHandler

Method Summary
`java.util.Map<java.lang.String,java.lang.String>` `handleProbe(java.lang.String... keys)` Handles a probe.
`java.lang.String[]` `supportedKeys()` Returns a list of supported keys

Method Detail

### handleProbe

    java.util.Map<java.lang.String,java.lang.String> handleProbe(java.lang.String... keys)

  Handles a probe. For each key that is handled, the key and its result should be in the returned map.

  Parameters:
    `keys` -
  Returns:
    Map<String,String>. A map of keys and values. A null return value is permissible.

### supportedKeys

    java.lang.String[] supportedKeys()

  Returns a list of supported keys

Copyright © 1998-2009 Bela Ban / Red Hat. All Rights Reserved.